Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454429 - Can't build devel HEAD on F-9
Summary: Can't build devel HEAD on F-9
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcat5
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 13:07 UTC by Andrew Overholt
Modified: 2008-10-27 14:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-27 14:33:17 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2008-07-08 13:07:41 UTC
Should I be able to "make x86_64" in tomcat5/devel?  Here's the end of the log:

tomcat-util.jar:
     [echo] ----- Java-utils -----
     [echo] -- puretls.present = ${puretls.present}
     [echo] -- jsse.present = true /usr/lib/jvm-exports/java/jsse.jar
     [echo] -- commons-logging = true
     [echo] -- jmx = true /usr/share/java/mx4j/mx4j-jmx.jar
     [echo] -- modeler = true /usr/share/java/commons-modeler.jar
     [echo] -- skip.digester = ${skip.digester}
     [echo] -- JDK14 = true
     [echo] -- JDK15 = ${jdk1.5.present}
    [javac] Compiling 92 source files to
/home/overholt/sources/rpms/tomcat5/devel/tomcat5-5.5.26/apache-tomcat-5.5.26-src/build/build/classes
    [javac] javac: invalid source release: 5.0
    [javac] Usage: javac <options> <source files>
    [javac] use -help for a list of possible options

BUILD FAILED
/home/overholt/sources/rpms/tomcat5/devel/tomcat5-5.5.26/apache-tomcat-5.5.26-src/build/build.xml:610:
The following error occurred while executing this line:
/home/overholt/sources/rpms/tomcat5/devel/tomcat5-5.5.26/apache-tomcat-5.5.26-src/build/build.xml:213:
The following error occurred while executing this line:
/home/overholt/sources/rpms/tomcat5/devel/tomcat5-5.5.26/apache-tomcat-5.5.26-src/connectors/util/build.xml:95:
Compile failed; see the compiler error output for details.

$ java -version; rpm -qf `readlink -f $(which java)`; rpm -qf `readlink -f
$(which javac)`; uname -a
java version "1.6.0"
OpenJDK  Runtime Environment (build 1.6.0-b09)
OpenJDK 64-Bit Server VM (build 1.6.0-b09, mixed mode)
java-1.6.0-openjdk-1.6.0.0-0.15.b09.fc9.x86_64
java-1.6.0-openjdk-devel-1.6.0.0-0.15.b09.fc9.x86_64
Linux vvvvt 2.6.25.9-76.fc9.x86_64 #1 SMP Fri Jun 27 15:58:30 EDT 2008 x86_64
x86_64 x86_64 GNU/Linux

Comment 1 Andrew Overholt 2008-07-08 14:15:04 UTC
It looks like if I have gcj as my java and javac alternative, it builds.  We
should see why this doesn't build with OpenJDK.

Comment 2 Christopher D. Stover 2008-10-24 14:55:56 UTC
It looks like this bug got slightly neglected.  Does this problem still exist?

Comment 3 Andrew Overholt 2008-10-24 15:15:27 UTC
I assume yes.  David?

Comment 4 David Walluck 2008-10-24 15:25:26 UTC
This has a workaround added in rawhide (modified tomcat5-5.5-connectors-util-build.patch), but not in F9. Yet, I was obviously able to build and submit for F-9.

Isn't 5.0 supposed to be a valid synonym for 1.5? In that case it's a compiler bug rather than an upstream tomcat bug.

Have you tried to build lately? If necessary, we could add the workaround to the F-9 branch as well, but we should instead fix ecj to accept 5.0 in addition to 1.5.

Comment 5 Andrew Overholt 2008-10-27 14:33:17 UTC
This works for me now.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.